#
# spec file for package ecj (Version 3.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ecj
%define section free
Version:        3.3
Release:        118.4.55
Summary:        Eclipse Compiler for Java
Group:          Development/Languages/Java
License:        EPL
Url:            www.eclipse.org
# this tarball is generated by a script that uses the original eclipse sources
# script is included for documentation purposes in the docdir of the package
Source0:        %{name}-%{version}.tar.gz
# this is the changelog from the original JPackage eclipse package that is
# included for documentation and recognition purposes only
Source1:        eclipse-jpackage-changelog.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ant
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  sed
BuildRequires:  unzip
BuildRequires:  xml-commons-apis
Requires:       java
PreReq:         update-alternatives

%description
Eclipse Compiler for Java



%prep
%setup -q

%build
%{__cp} %{SOURCE1} .
unset CLASSPATH
# remove -Xlint:none from javac compiler arguments as it causes
# Sun Java 1.4.2 to crap out
%{__sed} -i -e 's,-Xlint:none ,,g' jdtcoresrc/compilejdtcorewithjavac.xml
# first invocation builds with javac, second time around with ecj itself
ant -f jdtcoresrc/compilejdtcorewithjavac.xml
CLASSPATH="`pwd`/jdtcoresrc/%{name}.jar" \
           ant -f jdtcoresrc/compilejdtcore.xml
# just to make sure there is no confusion, delete the bootstrap ecj jar
           %{__rm} jdtcoresrc/%{name}.jar

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_javadir}
%{__install} -m 0644 %{name}.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar
pushd ${RPM_BUILD_ROOT}%{_javadir}
    %{__ln_s} %{name}-%{version}.jar %{name}.jar
popd

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc eclipse-jpackage-changelog.txt %{name}-tarballBuild.sh
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%changelog
* Mon Apr  6 2009 mvyskocil@suse.cz
- fate#305788: build dependency of tomcat 5.5.27
* Thu Nov 22 2007 anosek@suse.cz
- new package, initial version 3.3
